Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/BinPacking3D.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/BinPacking3D.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/BinPacking3D.cs	(revision 14046)
@@ -22,12 +22,10 @@
 using System.Collections.Generic;
 using System.Linq;
-using HeuristicLab.Problems.BinPacking.PackingItem;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Core;
 using HeuristicLab.Common;
-using HeuristicLab.Problems.BinPacking.Dimensions;
-using HeuristicLab.Problems.BinPacking.Shapes;
-
-namespace HeuristicLab.Encodings.PackingEncoding.PackingPlan {
+using HeuristicLab.Encodings.PackingEncoding;
+
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("BinPacking3D", "Represents a single-bin packing for a 3D bin-packing problem.")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/CuboidIdenticalBinPackingProblem.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/CuboidIdenticalBinPackingProblem.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/CuboidIdenticalBinPackingProblem.cs	(revision 14046)
@@ -20,12 +20,8 @@
 #endregion
 
-using HeuristicLab.Problems.BinPacking.Dimensions;
-using HeuristicLab.Problems.BinPacking.Interfaces;
 
-using HeuristicLab.Problems.BinPacking.PackingItem;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Core;
 using HeuristicLab.Common;
-using HeuristicLab.Problems.BinPacking.Evaluators;
 using HeuristicLab.Encodings.PermutationEncoding;
 using HeuristicLab.Encodings.PackingEncoding.PackingSequence;
@@ -34,9 +30,8 @@
 using HeuristicLab.Encodings.PackingEncoding.MultiComponentVector;
 using HeuristicLab.PluginInfrastructure;
-using System;
 using HeuristicLab.Data;
-using HeuristicLab.Problems.BinPacking.Shapes;
+using HeuristicLab.Problems.BinPacking;
 
-namespace HeuristicLab.Problems.BinPacking.Problem {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("Bin Packing Problem (3D, identical cuboids) (BPP)", "Represents a three-dimensional bin-packing problem using only bins with identical measures and bins/items with cuboidic shapes.")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/CuboidPackingItem.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/CuboidPackingItem.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/CuboidPackingItem.cs	(revision 14046)
@@ -20,7 +20,4 @@
 #endregion
 
-using System;
-using HeuristicLab.Problems.BinPacking.Interfaces;
-using HeuristicLab.Problems.BinPacking.Shapes;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -28,7 +25,7 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
+using HeuristicLab.Problems.BinPacking;
 
-
-namespace HeuristicLab.Problems.BinPacking.PackingItem {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("CuboidPackingItem", "Represents a cuboidic packing-item for bin-packing problems.")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/CuboidPackingShape.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/CuboidPackingShape.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/CuboidPackingShape.cs	(revision 14046)
@@ -21,5 +21,4 @@
 
 using System;
-using HeuristicLab.Problems.BinPacking.Interfaces;
 using HeuristicLab.Core;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
@@ -27,7 +26,7 @@
 using HeuristicLab.Data;
 using HeuristicLab.Parameters;
-using HeuristicLab.Problems.BinPacking.Dimensions;
+using HeuristicLab.Problems.BinPacking;
 
-namespace HeuristicLab.Problems.BinPacking.Shapes {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("CuboidPackingShape", "Represents the cuboid measures (width, height, depth) of a three-dimensional cuboidic bin-packing object.")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/DecoderInterfaces/I3DGVDecoder.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/DecoderInterfaces/I3DGVDecoder.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/DecoderInterfaces/I3DGVDecoder.cs	(revision 14046)
@@ -22,6 +22,7 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Problems.BinPacking;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking3D {
   public interface I3DGVDecoder : IOperator, IPackingSolutionDecoder {
   }
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/DecoderInterfaces/I3DMCVDecoder.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/DecoderInterfaces/I3DMCVDecoder.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/DecoderInterfaces/I3DMCVDecoder.cs	(revision 14046)
@@ -22,6 +22,7 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Problems.BinPacking;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking3D {
   public interface I3DMCVDecoder : IOperator, IPackingSolutionDecoder {
   }
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/DecoderInterfaces/I3DPSDecoder.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/DecoderInterfaces/I3DPSDecoder.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/DecoderInterfaces/I3DPSDecoder.cs	(revision 14046)
@@ -22,6 +22,7 @@
 
 using HeuristicLab.Core;
+using HeuristicLab.Problems.BinPacking;
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking3D {
   public interface I3DPSDecoder : IOperator, IPackingSolutionDecoder {
   }
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/DBL/DeepestBottomLeftGroupingVectorDecoder.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/DBL/DeepestBottomLeftGroupingVectorDecoder.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/DBL/DeepestBottomLeftGroupingVectorDecoder.cs	(revision 14046)
@@ -23,14 +23,10 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Core;
-using HeuristicLab.Problems.BinPacking.Dimensions;
+using HeuristicLab.Common;
+using HeuristicLab.Encodings.PackingEncoding.GroupingVector;
+using HeuristicLab.Problems.BinPacking;
+using HeuristicLab.Encodings.PackingEncoding;
 
-using HeuristicLab.Problems.BinPacking.PackingItem;
-using HeuristicLab.Encodings.PackingEncoding.PackingPlan;
-using HeuristicLab.Common;
-using HeuristicLab.Problems.BinPacking.Interfaces;
-using HeuristicLab.Encodings.PackingEncoding.GroupingVector;
-using HeuristicLab.Problems.BinPacking.Shapes;
-
-namespace HeuristicLab.Problems.BinPacking.Decoders {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("Identical bin, three dimensional, GroupingVector-decoder", "<Description missing...>")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/DBL/DeepestBottomLeftMultiComponentVectorDecoder.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/DBL/DeepestBottomLeftMultiComponentVectorDecoder.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/DBL/DeepestBottomLeftMultiComponentVectorDecoder.cs	(revision 14046)
@@ -23,14 +23,10 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Core;
-using HeuristicLab.Problems.BinPacking.Dimensions;
+using HeuristicLab.Common;
+using HeuristicLab.Encodings.PackingEncoding.MultiComponentVector;
+using HeuristicLab.Problems.BinPacking;
+using HeuristicLab.Encodings.PackingEncoding;
 
-using HeuristicLab.Problems.BinPacking.PackingItem;
-using HeuristicLab.Encodings.PackingEncoding.PackingPlan;
-using HeuristicLab.Common;
-using HeuristicLab.Problems.BinPacking.Interfaces;
-using HeuristicLab.Encodings.PackingEncoding.MultiComponentVector;
-using HeuristicLab.Problems.BinPacking.Shapes;
-
-namespace HeuristicLab.Problems.BinPacking.Decoders {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("Identical bin, three dimensional, MultiComponentVector-decoder", "<Description missing...>")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/DBL/DeepestBottomLeftPackingSequenceDecoder.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/DBL/DeepestBottomLeftPackingSequenceDecoder.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/DBL/DeepestBottomLeftPackingSequenceDecoder.cs	(revision 14046)
@@ -23,14 +23,10 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Core;
-using HeuristicLab.Problems.BinPacking.Dimensions;
-
-using HeuristicLab.Problems.BinPacking.PackingItem;
-using HeuristicLab.Encodings.PackingEncoding.PackingPlan;
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.PackingEncoding.PackingSequence;
-using HeuristicLab.Problems.BinPacking.Interfaces;
-using HeuristicLab.Problems.BinPacking.Shapes;
+using HeuristicLab.Problems.BinPacking;
+using HeuristicLab.Encodings.PackingEncoding;
 
-namespace HeuristicLab.Problems.BinPacking.Decoders {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("Identical bin, three dimensional, PackingSequence-decoder", "<Description missing...>")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/EP/ExtremePointGroupingVectorDecoder3D.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/EP/ExtremePointGroupingVectorDecoder3D.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/EP/ExtremePointGroupingVectorDecoder3D.cs	(revision 14046)
@@ -23,14 +23,10 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Core;
-using HeuristicLab.Problems.BinPacking.Dimensions;
+using HeuristicLab.Common;
+using HeuristicLab.Encodings.PackingEncoding.GroupingVector;
+using HeuristicLab.Problems.BinPacking;
+using HeuristicLab.Encodings.PackingEncoding;
 
-using HeuristicLab.Problems.BinPacking.PackingItem;
-using HeuristicLab.Encodings.PackingEncoding.PackingPlan;
-using HeuristicLab.Common;
-using HeuristicLab.Problems.BinPacking.Interfaces;
-using HeuristicLab.Encodings.PackingEncoding.GroupingVector;
-using HeuristicLab.Problems.BinPacking.Shapes;
-
-namespace HeuristicLab.Problems.BinPacking.Decoders {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("Identical bin, three dimensional, extreme points based decoder for the GroupingVector encoding.", "<Description missing...>")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/EP/ExtremePointMultiComponentVectorDecoder3D.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/EP/ExtremePointMultiComponentVectorDecoder3D.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/EP/ExtremePointMultiComponentVectorDecoder3D.cs	(revision 14046)
@@ -23,14 +23,10 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Core;
-using HeuristicLab.Problems.BinPacking.Dimensions;
+using HeuristicLab.Common;
+using HeuristicLab.Encodings.PackingEncoding.MultiComponentVector;
+using HeuristicLab.Problems.BinPacking;
+using HeuristicLab.Encodings.PackingEncoding;
 
-using HeuristicLab.Problems.BinPacking.PackingItem;
-using HeuristicLab.Encodings.PackingEncoding.PackingPlan;
-using HeuristicLab.Common;
-using HeuristicLab.Problems.BinPacking.Interfaces;
-using HeuristicLab.Encodings.PackingEncoding.MultiComponentVector;
-using HeuristicLab.Problems.BinPacking.Shapes;
-
-namespace HeuristicLab.Problems.BinPacking.Decoders {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("Identical bin, three dimensional, extreme points based decoder for the MultiComponentVector encoding.", "<Description missing...>")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/EP/ExtremePointPackingSequenceDecoder3D.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/EP/ExtremePointPackingSequenceDecoder3D.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Decoders/EP/ExtremePointPackingSequenceDecoder3D.cs	(revision 14046)
@@ -24,14 +24,10 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Core;
-using HeuristicLab.Problems.BinPacking.Dimensions;
-
-using HeuristicLab.Problems.BinPacking.PackingItem;
-using HeuristicLab.Encodings.PackingEncoding.PackingPlan;
 using HeuristicLab.Common;
 using HeuristicLab.Encodings.PackingEncoding.PackingSequence;
-using HeuristicLab.Problems.BinPacking.Interfaces;
-using HeuristicLab.Problems.BinPacking.Shapes;
+using HeuristicLab.Problems.BinPacking;
+using HeuristicLab.Encodings.PackingEncoding;
 
-namespace HeuristicLab.Problems.BinPacking.Decoders {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("Identical bin, three dimensional, extreme points based decoder for the PackingSequence encoding.", "<Description missing...>")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/I3DOperator.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/I3DOperator.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/I3DOperator.cs	(revision 14046)
@@ -20,5 +20,5 @@
 #endregion
 
-namespace HeuristicLab.Problems.BinPacking.Interfaces {
+namespace HeuristicLab.Problems.BinPacking3D {
   public interface I3DOperator {
   }
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DGV.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DGV.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DGV.cs	(revision 14046)
@@ -25,11 +25,7 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Dimensions;
-using HeuristicLab.Problems.BinPacking.Interfaces;
+using HeuristicLab.Problems.BinPacking;
 
-using HeuristicLab.Problems.BinPacking.PackingItem;
-using HeuristicLab.Problems.BinPacking.Shapes;
-
-namespace HeuristicLab.Problems.BinPacking {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("GroupingVectorMoveEvaluator3D", "Class for evaluating packing moves for 3dimensional problems.")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DMCV.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DMCV.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DMCV.cs	(revision 14046)
@@ -25,11 +25,7 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Dimensions;
-using HeuristicLab.Problems.BinPacking.Interfaces;
+using HeuristicLab.Problems.BinPacking;
 
-using HeuristicLab.Problems.BinPacking.PackingItem;
-using HeuristicLab.Problems.BinPacking.Shapes;
-
-namespace HeuristicLab.Problems.BinPacking {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("MultiComponentVectorMoveEvaluator3D", "Class for evaluating packing moves for 3dimensional problems.")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DPS.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DPS.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/MoveEvaluators/PackingMoveEvaluator3DPS.cs	(revision 14046)
@@ -25,11 +25,7 @@
 using HeuristicLab.Optimization;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Dimensions;
-using HeuristicLab.Problems.BinPacking.Interfaces;
+using HeuristicLab.Problems.BinPacking;
 
-using HeuristicLab.Problems.BinPacking.PackingItem;
-using HeuristicLab.Problems.BinPacking.Shapes;
-
-namespace HeuristicLab.Problems.BinPacking {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("PackingSequenceMoveEvaluator3D", "Class for evaluating packing moves for 3dimensional problems.")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/PackingPlan3D.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/PackingPlan3D.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/PackingPlan3D.cs	(revision 14046)
@@ -1,12 +1,8 @@
 ﻿using HeuristicLab.Common;
 using HeuristicLab.Core;
-using HeuristicLab.Encodings.PackingEncoding.PackingPlan;
+using HeuristicLab.Encodings.PackingEncoding;
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Problems.BinPacking.Dimensions;
 
-using HeuristicLab.Problems.BinPacking.PackingItem;
-using HeuristicLab.Problems.BinPacking.Shapes;
-
-namespace HeuristicLab.Problems.BinPacking {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("PackingPlan3D", "Represents a solution for a 3D bin packing problem.")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/PackingRatioCuboidIdenticalBinEvaluator.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/PackingRatioCuboidIdenticalBinEvaluator.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/PackingRatioCuboidIdenticalBinEvaluator.cs	(revision 14046)
@@ -23,10 +23,7 @@
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Common;
-using HeuristicLab.Problems.BinPacking.Dimensions;
+using HeuristicLab.Problems.BinPacking;
 
-using HeuristicLab.Problems.BinPacking.PackingItem;
-using HeuristicLab.Problems.BinPacking.Shapes;
-
-namespace HeuristicLab.Problems.BinPacking.Evaluators {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("Packing-Ratio Cuboid Identical-Bin Evaluator", "Represents an evaluation-algorithm for cuboid-shaped bin-packing problems with identical bins which calculates the ratio between packed and unpacked space. Found in Falkenauer:1996")]
   [StorableClass]
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Plugin.cs.frame
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Plugin.cs.frame	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Plugin.cs.frame	(revision 14046)
@@ -22,5 +22,5 @@
 using HeuristicLab.PluginInfrastructure;
 
-namespace HeuristicLab.Problems.BinPacking2D {
+namespace HeuristicLab.Problems.BinPacking3D {
   /// <summary>
   /// Plugin class for HeuristicLab.Problems.BinPacking plugin.
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/ThreeDimensionalPacking.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/ThreeDimensionalPacking.cs	(revision 14045)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/ThreeDimensionalPacking.cs	(revision 14046)
@@ -20,10 +20,11 @@
 #endregion
 
-using System.Text;
+
 using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
 using HeuristicLab.Core;
 using HeuristicLab.Common;
+using HeuristicLab.Problems.BinPacking;
 
-namespace HeuristicLab.Problems.BinPacking.Dimensions {
+namespace HeuristicLab.Problems.BinPacking3D {
   [Item("Three Dimensional Packing", "Represents a packing-position associated with a three dimensional packing-problem.")]
   [StorableClass]