Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Analyzers/BestBinPackingSolutionAnalyzer.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Analyzers/BestBinPackingSolutionAnalyzer.cs	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Analyzers/BestBinPackingSolutionAnalyzer.cs	(revision 14048)
@@ -34,5 +34,5 @@
   [StorableClass]
   public class BestBinPackingSolutionAnalyzer<D, B, I> : BinPackingAnalyzer<D, B, I>, IStochasticOperator
-    where D : class, IPackingDimensions
+    where D : class, IPackingPosition
     where B : PackingShape<D>
     where I : PackingShape<D>, IPackingItem {
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Analyzers/BinPackingAnalyzer.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Analyzers/BinPackingAnalyzer.cs	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Analyzers/BinPackingAnalyzer.cs	(revision 14048)
@@ -33,5 +33,5 @@
   [StorableClass]
   public abstract class BinPackingAnalyzer<D, B, I> : SingleSuccessorOperator, IAnalyzer
-    where D : class, IPackingDimensions
+    where D : class, IPackingPosition
     where B : PackingShape<D>
     where I : PackingShape<D>, IPackingItem {
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/BinPackingProblem.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/BinPackingProblem.cs	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/BinPackingProblem.cs	(revision 14048)
@@ -38,5 +38,5 @@
   [StorableClass]
   public abstract class BinPackingProblem<D, B, I> : SingleObjectiveHeuristicOptimizationProblem<IPackingPlanEvaluationAlgorithm, IPackingSolutionCreator> 
-    where D : class, IPackingDimensions 
+    where D : class, IPackingPosition 
     where B : PackingShape<D>, new()
     where I : PackingShape<D>, IPackingItem, new () {
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingPlans/BinPacking.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingPlans/BinPacking.cs	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingPlans/BinPacking.cs	(revision 14048)
@@ -32,5 +32,5 @@
   [StorableClass]
   public abstract class BinPacking<D,B,I>  : Item
-    where D : class, IPackingDimensions
+    where D : class, IPackingPosition
     where B : PackingShape<D>
     where I : PackingShape<D>, IPackingItem {
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingPlans/PackingPlan.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingPlans/PackingPlan.cs	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Encodings/PackingPlans/PackingPlan.cs	(revision 14048)
@@ -38,5 +38,5 @@
   [StorableClass]
   public abstract class PackingPlan<D, B, I> :Item, IPackingPlan
-    where D : class, IPackingDimensions
+    where D : class, IPackingPosition
     where B : PackingShape<D>
     where I : PackingShape<D>, IPackingItem {
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/BinUtilizationRegularIdenticalBinEvaluator.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/BinUtilizationRegularIdenticalBinEvaluator.cs	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/BinUtilizationRegularIdenticalBinEvaluator.cs	(revision 14048)
@@ -31,5 +31,5 @@
   [StorableClass]
   public abstract class BinUtilizationRegularIdenticalBinEvaluator<D, B, I> : RegularSimpleRotationIdenticalBinPackingPlanEvaluator<D, B, I>
-    where D : class, IPackingDimensions
+    where D : class, IPackingPosition
     where B : PackingShape<D>
     where I : PackingShape<D>, IPackingItem {
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingPlanEvaluationAlgorithm.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingPlanEvaluationAlgorithm.cs	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingPlanEvaluationAlgorithm.cs	(revision 14048)
@@ -34,5 +34,5 @@
   public class PackingPlanEvaluationAlgorithm<E, D, B, I> : SingleSuccessorOperator, IPackingPlanEvaluationAlgorithm
     where E : Item //E defines the used Encoding
-    where D : class, IPackingDimensions
+    where D : class, IPackingPosition
     where B : PackingShape<D>
     where I : PackingShape<D>, IPackingItem {
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingPlanEvaluator.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingPlanEvaluator.cs	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingPlanEvaluator.cs	(revision 14048)
@@ -33,5 +33,5 @@
   [StorableClass]
   public abstract class PackingPlanEvaluator<D,B,I> : SingleSuccessorOperator, IPackingPlanEvaluator
-    where D : class, IPackingDimensions
+    where D : class, IPackingPosition
     where B : PackingShape<D>
     where I : PackingShape<D>, IPackingItem {
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingRatioRegularIdenticalBinEvaluator.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingRatioRegularIdenticalBinEvaluator.cs	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingRatioRegularIdenticalBinEvaluator.cs	(revision 14048)
@@ -31,5 +31,5 @@
   [StorableClass]
   public abstract class PackingRatioRegularIdenticalBinEvaluator<D, B, I> : RegularSimpleRotationIdenticalBinPackingPlanEvaluator<D, B, I>
-    where D : class, IPackingDimensions
+    where D : class, IPackingPosition
     where B : PackingShape<D>
     where I : PackingShape<D>, IPackingItem {
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/RegularSimpleRotationIdenticalBinPackingPlanEvaluator.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/RegularSimpleRotationIdenticalBinPackingPlanEvaluator.cs	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/RegularSimpleRotationIdenticalBinPackingPlanEvaluator.cs	(revision 14048)
@@ -30,5 +30,5 @@
   [StorableClass]
   public abstract class RegularSimpleRotationIdenticalBinPackingPlanEvaluator<D, B, I> : PackingPlanEvaluator<D, B, I>
-    where D : class, IPackingDimensions
+    where D : class, IPackingPosition
     where B : PackingShape<D>
     where I : PackingShape<D>, IPackingItem {
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/HeuristicLab.Problems.BinPacking-3.3.csproj
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/HeuristicLab.Problems.BinPacking-3.3.csproj	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/HeuristicLab.Problems.BinPacking-3.3.csproj	(revision 14048)
@@ -262,4 +262,5 @@
     <Compile Include="Instances\BPPORLIBDataDescriptor.cs" />
     <Compile Include="Instances\RealBPPData.cs" />
+    <Compile Include="Interfaces\IPackingPosition.cs" />
     <Compile Include="Interfaces\IPackingSequenceMoveOperator.cs" />
     <Compile Include="Interfaces\IPackingMove.cs" />
@@ -279,5 +280,4 @@
     <Compile Include="Interfaces\IPackingPlanEvaluator.cs" />
     <Compile Include="Interfaces\IPackingShape.cs" />
-    <Compile Include="Interfaces\IPackingDimensions.cs" />
     <Compile Include="PackingDimensions.cs" />
     <Compile Include="PackingMoveEvaluator.cs" />
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingDimensions.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingDimensions.cs	(revision 14046)
+++ 	(revision )
@@ -1,30 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Core;
-
-namespace HeuristicLab.Problems.BinPacking {
-  // TODO: this interface should contain positions 
-  public interface IPackingDimensions : IItem {
-    int AssignedBin { get; }
-    bool Rotated { get; }
-  }
-}
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingPosition.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingPosition.cs	(revision 14048)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingPosition.cs	(revision 14048)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Core;
+
+namespace HeuristicLab.Problems.BinPacking {
+  
+  public interface IPackingPosition : IItem {
+    int AssignedBin { get; }
+    bool Rotated { get; }
+  }
+}
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingDimensions.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingDimensions.cs	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingDimensions.cs	(revision 14048)
@@ -29,5 +29,5 @@
   [StorableClass]
   // PackingDimensions is immutable (and handled as value types concerning Equals and GetHashCode)
-  public abstract class PackingDimensions : Item, IPackingDimensions {
+  public abstract class PackingPosition : Item, IPackingPosition {
     /// <summary>
     /// The number of the bin to which the current item is assigned is stored in this variable. Counting starts at 0 !!!
@@ -49,6 +49,6 @@
 
     [StorableConstructor]
-    protected PackingDimensions(bool deserializing) : base(deserializing) { }
-    protected PackingDimensions(PackingDimensions original, Cloner cloner)
+    protected PackingPosition(bool deserializing) : base(deserializing) { }
+    protected PackingPosition(PackingPosition original, Cloner cloner)
       : base(original, cloner) {
       assignedBin = original.AssignedBin;
@@ -56,5 +56,5 @@
     }
 
-    protected PackingDimensions(int assignedBin, bool rotated) {
+    protected PackingPosition(int assignedBin, bool rotated) {
       this.assignedBin = assignedBin;
       this.rotated = rotated;
@@ -66,5 +66,5 @@
 
     public override bool Equals(object obj) {
-      var other = obj as PackingDimensions;
+      var other = obj as PackingPosition;
       if (other != null)
         return (other.AssignedBin == this.AssignedBin && other.Rotated == this.Rotated);
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingMoveEvaluator.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingMoveEvaluator.cs	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingMoveEvaluator.cs	(revision 14048)
@@ -33,5 +33,5 @@
   [StorableClass]
   public abstract class PackingMoveEvaluator<D, B, I> : SingleSuccessorOperator, IPackingMoveEvaluator, IMoveOperator
-    where D : class, IPackingDimensions
+    where D : class, IPackingPosition
     where B : PackingShape<D>
     where I : PackingShape<D>, IPackingItem {     
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingShape.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingShape.cs	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingShape.cs	(revision 14048)
@@ -32,5 +32,5 @@
   [StorableClass]
   public abstract class PackingShape<T> : Item, IPackingShape, IParameterizedItem
-    where T : class, IPackingDimensions {
+    where T : class, IPackingPosition {
     public static Type PositionType {
       get { return typeof(T); }
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingSolutionDecoder.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingSolutionDecoder.cs	(revision 14046)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/PackingSolutionDecoder.cs	(revision 14048)
@@ -34,5 +34,5 @@
   [StorableClass]
   public abstract class PackingSolutionDecoder<D, B, I> : SingleSuccessorOperator, IPackingSolutionDecoder
-    where D : class, IPackingDimensions
+    where D : class, IPackingPosition
     where B : PackingShape<D>
     where I : PackingShape<D>, IPackingItem {