Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Problem.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Problem.cs	(revision 14053)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.2D/3.3/Problem.cs	(revision 14054)
@@ -97,5 +97,5 @@
     }
     public Problem() : base(
-      new PackingPlanEvaluationAlgorithm<Permutation, PackingPosition, PackingShape, PackingItem>()) {
+      new DecodingEvaluator<Permutation, PackingPosition, PackingShape, PackingItem>()) {
     }
 
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Problem.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Problem.cs	(revision 14053)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking.3D/3.3/Problem.cs	(revision 14054)
@@ -102,5 +102,5 @@
     }
     public Problem() : base(
-      new PackingPlanEvaluationAlgorithm<Permutation, PackingPosition, PackingShape, PackingItem>()) {
+      new DecodingEvaluator<Permutation, PackingPosition, PackingShape, PackingItem>()) {
     }
 
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/DecodingEvaluator.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/DecodingEvaluator.cs	(revision 14054)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/DecodingEvaluator.cs	(revision 14054)
@@ -0,0 +1,84 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using System;
+using HeuristicLab.Operators;
+using HeuristicLab.Core;
+using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
+using HeuristicLab.Common;
+using HeuristicLab.Data;
+using HeuristicLab.Parameters;
+
+
+namespace HeuristicLab.Problems.BinPacking {
+  [Item("Bin Packing Evaluator (with decoder)", "Represents a composition of a decoder and an evaluator for bin-packing problems.")]
+  [StorableClass]
+  public class DecodingEvaluator<E, D, B, I> : SingleSuccessorOperator, IDecodingEvaluator
+    where E : Item //E defines the used Encoding
+    where D : class, IPackingPosition
+    where B : PackingShape<D>
+    where I : PackingShape<D>, IPackingItem {
+
+    public IValueLookupParameter<IPackingSolutionDecoder> PackingSolutionDecoderParameter {
+      get { return (IValueLookupParameter<IPackingSolutionDecoder>)Parameters["PackingSolutionDecoder"]; }
+    }
+    ILookupParameter<IPackingSolutionDecoder> IDecodingEvaluator.PackingSolutionDecoderParameter {
+      get { return PackingSolutionDecoderParameter; }
+    }
+    public IValueLookupParameter<IEvaluator> PackingPlanEvaluatorParameter {
+      get { return (IValueLookupParameter<IEvaluator>)Parameters["PackingPlanEvaluator"]; }
+    }
+    ILookupParameter<IEvaluator> IDecodingEvaluator.PackingPlanEvaluatorParameter {
+      get { return PackingPlanEvaluatorParameter; }
+    }
+    public ILookupParameter<DoubleValue> QualityParameter {
+      get { return (ILookupParameter<DoubleValue>)Parameters["Quality"]; }
+    }
+
+    [StorableConstructor]
+    protected DecodingEvaluator(bool deserializing) : base(deserializing) { }
+    protected DecodingEvaluator(DecodingEvaluator<E, D, B, I> original, Cloner cloner)
+      : base(original, cloner) {
+    }
+    public DecodingEvaluator ()
+      : base() {
+        Parameters.Add(new ValueLookupParameter<IPackingSolutionDecoder>("PackingSolutionDecoder", "The decoding operator that is used to calculate a packing plan from the used representation."));
+        Parameters.Add(new ValueLookupParameter<IEvaluator>("PackingPlanEvaluator", "The actual packing plan evaluation operator."));
+        Parameters.Add(new LookupParameter<DoubleValue>("Quality", "The quality value aka fitness value of the solution."));
+        QualityParameter.Hidden = true;
+    }
+    public override IDeepCloneable Clone(Cloner cloner) {
+      return new DecodingEvaluator<E, D, B, I>(this, cloner);
+    }
+
+    public override IOperation Apply() {
+      var decoder = PackingSolutionDecoderParameter.ActualValue;
+      var evaluator = PackingPlanEvaluatorParameter.ActualValue;
+      if (evaluator == null) throw new InvalidOperationException("A PackingPlanEvaluator could not be found.");
+
+      var operations = new OperationCollection(base.Apply());
+      operations.Insert(0, ExecutionContext.CreateChildOperation(evaluator));
+      if (decoder != null) // decode before evaluating
+        operations.Insert(0, ExecutionContext.CreateChildOperation(decoder));
+      return operations;
+    }
+  }
+}
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingPlanEvaluationAlgorithm.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Evaluators/PackingPlanEvaluationAlgorithm.cs	(revision 14053)
+++ 	(revision )
@@ -1,84 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using System;
-using HeuristicLab.Operators;
-using HeuristicLab.Core;
-using HeuristicLab.Persistence.Default.CompositeSerializers.Storable;
-using HeuristicLab.Common;
-using HeuristicLab.Data;
-using HeuristicLab.Parameters;
-
-
-namespace HeuristicLab.Problems.BinPacking {
-  [Item("Packingplan Evaluation Algorithm", "Represents a composition of a decoder and an evaluator for bin-packing problems.")]
-  [StorableClass]
-  public class PackingPlanEvaluationAlgorithm<E, D, B, I> : SingleSuccessorOperator, IPackingPlanEvaluationAlgorithm
-    where E : Item //E defines the used Encoding
-    where D : class, IPackingPosition
-    where B : PackingShape<D>
-    where I : PackingShape<D>, IPackingItem {
-
-    public IValueLookupParameter<IPackingSolutionDecoder> PackingSolutionDecoderParameter {
-      get { return (IValueLookupParameter<IPackingSolutionDecoder>)Parameters["PackingSolutionDecoder"]; }
-    }
-    ILookupParameter<IPackingSolutionDecoder> IPackingPlanEvaluationAlgorithm.PackingSolutionDecoderParameter {
-      get { return PackingSolutionDecoderParameter; }
-    }
-    public IValueLookupParameter<IEvaluator> PackingPlanEvaluatorParameter {
-      get { return (IValueLookupParameter<IEvaluator>)Parameters["PackingPlanEvaluator"]; }
-    }
-    ILookupParameter<IEvaluator> IPackingPlanEvaluationAlgorithm.PackingPlanEvaluatorParameter {
-      get { return PackingPlanEvaluatorParameter; }
-    }
-    public ILookupParameter<DoubleValue> QualityParameter {
-      get { return (ILookupParameter<DoubleValue>)Parameters["Quality"]; }
-    }
-
-    [StorableConstructor]
-    protected PackingPlanEvaluationAlgorithm(bool deserializing) : base(deserializing) { }
-    protected PackingPlanEvaluationAlgorithm(PackingPlanEvaluationAlgorithm<E, D, B, I> original, Cloner cloner)
-      : base(original, cloner) {
-    }
-    public PackingPlanEvaluationAlgorithm ()
-      : base() {
-        Parameters.Add(new ValueLookupParameter<IPackingSolutionDecoder>("PackingSolutionDecoder", "The decoding operator that is used to calculate a packing plan from the used representation."));
-        Parameters.Add(new ValueLookupParameter<IEvaluator>("PackingPlanEvaluator", "The actual packing plan evaluation operator."));
-        Parameters.Add(new LookupParameter<DoubleValue>("Quality", "The quality value aka fitness value of the solution."));
-        QualityParameter.Hidden = true;
-    }
-    public override IDeepCloneable Clone(Cloner cloner) {
-      return new PackingPlanEvaluationAlgorithm<E, D, B, I>(this, cloner);
-    }
-
-    public override IOperation Apply() {
-      var decoder = PackingSolutionDecoderParameter.ActualValue;
-      var evaluator = PackingPlanEvaluatorParameter.ActualValue;
-      if (evaluator == null) throw new InvalidOperationException("A PackingPlanEvaluator could not be found.");
-
-      var operations = new OperationCollection(base.Apply());
-      operations.Insert(0, ExecutionContext.CreateChildOperation(evaluator));
-      if (decoder != null) // decode before evaluating
-        operations.Insert(0, ExecutionContext.CreateChildOperation(decoder));
-      return operations;
-    }
-  }
-}
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/HeuristicLab.Problems.BinPacking-3.3.csproj
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/HeuristicLab.Problems.BinPacking-3.3.csproj	(revision 14053)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/HeuristicLab.Problems.BinPacking-3.3.csproj	(revision 14054)
@@ -252,7 +252,8 @@
     <Compile Include="Encodings\PackingSolutionManipulator.cs" />
     <Compile Include="Evaluators\BinUtilizationEvaluator.cs" />
+    <Compile Include="Evaluators\DecodingEvaluator.cs" />
     <Compile Include="Evaluators\EvaluatorBase.cs" />
-    <Compile Include="Evaluators\PackingPlanEvaluationAlgorithm.cs" />
     <Compile Include="Evaluators\PackingRatioEvaluator.cs" />
+    <Compile Include="Interfaces\IDecodingEvaluator.cs" />
     <Compile Include="Interfaces\IEvaluator.cs" />
     <Compile Include="Interfaces\IPackingPosition.cs" />
@@ -271,5 +272,4 @@
     <Compile Include="Interfaces\IPackingSolutionCreator.cs" />
     <Compile Include="Interfaces\IPackingSolutionDecoder.cs" />
-    <Compile Include="Interfaces\IPackingPlanEvaluationAlgorithm.cs" />
     <Compile Include="Interfaces\IPackingShape.cs" />
     <Compile Include="PackingDimensions.cs" />
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IDecodingEvaluator.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IDecodingEvaluator.cs	(revision 14054)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IDecodingEvaluator.cs	(revision 14054)
@@ -0,0 +1,30 @@
+﻿#region License Information
+/* HeuristicLab
+ * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
+ *
+ * This file is part of HeuristicLab.
+ *
+ * HeuristicLab is free software: you can redistribute it and/or modify
+ * it under the terms of the GNU General Public License as published by
+ * the Free Software Foundation, either version 3 of the License, or
+ * (at your option) any later version.
+ *
+ * HeuristicLab is distributed in the hope that it will be useful,
+ * but WITHOUT ANY WARRANTY; without even the implied warranty of
+ * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+ * GNU General Public License for more details.
+ *
+ * You should have received a copy of the GNU General Public License
+ * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
+ */
+#endregion
+
+using HeuristicLab.Core;
+using HeuristicLab.Optimization;
+
+namespace HeuristicLab.Problems.BinPacking {
+  public interface IDecodingEvaluator : ISingleObjectiveEvaluator {
+    ILookupParameter<IPackingSolutionDecoder> PackingSolutionDecoderParameter { get; }
+    ILookupParameter<IEvaluator> PackingPlanEvaluatorParameter { get; }
+  }
+}
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingPlanEvaluationAlgorithm.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Interfaces/IPackingPlanEvaluationAlgorithm.cs	(revision 14053)
+++ 	(revision )
@@ -1,30 +1,0 @@
-﻿#region License Information
-/* HeuristicLab
- * Copyright (C) 2002-2015 Joseph Helm and Heuristic and Evolutionary Algorithms Laboratory (HEAL)
- *
- * This file is part of HeuristicLab.
- *
- * HeuristicLab is free software: you can redistribute it and/or modify
- * it under the terms of the GNU General Public License as published by
- * the Free Software Foundation, either version 3 of the License, or
- * (at your option) any later version.
- *
- * HeuristicLab is distributed in the hope that it will be useful,
- * but WITHOUT ANY WARRANTY; without even the implied warranty of
- * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
- * GNU General Public License for more details.
- *
- * You should have received a copy of the GNU General Public License
- * along with HeuristicLab. If not, see <http://www.gnu.org/licenses/>.
- */
-#endregion
-
-using HeuristicLab.Core;
-using HeuristicLab.Optimization;
-
-namespace HeuristicLab.Problems.BinPacking {
-  public interface IPackingPlanEvaluationAlgorithm : ISingleObjectiveEvaluator {
-    ILookupParameter<IPackingSolutionDecoder> PackingSolutionDecoderParameter { get; }
-    ILookupParameter<IEvaluator> PackingPlanEvaluatorParameter { get; }
-  }
-}
Index: branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Problem.cs
===================================================================
--- branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Problem.cs	(revision 14053)
+++ branches/HeuristicLab.BinPacking/HeuristicLab.Problems.BinPacking/3.3/Problem.cs	(revision 14054)
@@ -36,12 +36,12 @@
 namespace HeuristicLab.Problems.BinPacking {
   [StorableClass]
-  public abstract class Problem<D, B, I> : SingleObjectiveHeuristicOptimizationProblem<IPackingPlanEvaluationAlgorithm, IPackingSolutionCreator> 
-    where D : class, IPackingPosition 
+  public abstract class Problem<D, B, I> : SingleObjectiveHeuristicOptimizationProblem<IDecodingEvaluator, IPackingSolutionCreator>
+    where D : class, IPackingPosition
     where B : PackingShape<D>, new()
-    where I : PackingShape<D>, IPackingItem, new () {
+    where I : PackingShape<D>, IPackingItem, new() {
 
 
     #region Parameter Properties
-    public OptionalValueParameter<PackingPlan<D,B,I>> BestKnownSolutionParameter {
+    public OptionalValueParameter<PackingPlan<D, B, I>> BestKnownSolutionParameter {
       get { return (OptionalValueParameter<PackingPlan<D, B, I>>)Parameters["BestKnownSolution"]; }
     }
@@ -73,5 +73,5 @@
     public ItemList<I> PackingItemMeasures {
       get { return PackingItemMeasuresParameter.Value; }
-      set { PackingItemMeasuresParameter.Value = value; } 
+      set { PackingItemMeasuresParameter.Value = value; }
     }
     public IEvaluator PackingPlanEvaluator {
@@ -92,12 +92,12 @@
     [StorableConstructor]
     protected Problem(bool deserializing) : base(deserializing) { }
-    protected Problem(Problem<D,B,I> original, Cloner cloner)
+    protected Problem(Problem<D, B, I> original, Cloner cloner)
       : base(original, cloner) {
       InitializeEventHandlers();
     }
 
-    protected Problem(IPackingPlanEvaluationAlgorithm e) : this(e, new MultiComponentVectorRandomCreator()) { }
-
-    protected Problem(IPackingPlanEvaluationAlgorithm e, IPackingSolutionCreator c) : base (e, c){
+    protected Problem(IDecodingEvaluator e) : this(e, new MultiComponentVectorRandomCreator()) { }
+
+    protected Problem(IDecodingEvaluator e, IPackingSolutionCreator c) : base(e, c) {
       Parameters.Add(new OptionalValueParameter<PackingPlan<D, B, I>>("BestKnownSolution", "The best known solution of this bin-packing instance."));
       Parameters.Add(new ValueParameter<ItemList<I>>("PackingItemMeasures", "Packing-item data defining the measures of the different items that need to be packed.", new ItemList<I>()));